<div class="col-lg-12 animated fadeInRight">

  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Manage Dispatcher Customers</strong>
            </h3>
            <div class="row">
              <div class="fm-row">
                <div class="col-sm-4">
                  <input [(ngModel)]="name" name="name" (keydown.enter)="getCustomers()" autocomplete="off"
                    class="form-control input-sm-3" placeholder="Search" />
                </div>

                <div class="col-xs-3 custom-position">
                  <input [(ngModel)]="startDate" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Created Date Start" class="form-control"
                    (ngModelChange)="clearEndDate()">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
                  <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                </div>
                <div class="col-xs-3 custom-position">
                  <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max"
                    [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="Created Date End"
                    class="form-control">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                  <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                </div>
                <div class="col-xs-2">
                  <div class="">
                    <select [(ngModel)]="sortBy" name="order" placeholder="Select Sort Order" class="form-control">
                      <option value="">Sort</option>
                      <option value="1">Asc</option>
                      <option value="-1">Desc</option>
                    </select>
                  </div>
                </div>
              </div>
            </div>
            <br />
            <div class="row">
              <div class="col-sm-4">
                <input type="number" [(ngModel)]="phone" name="number" (keydown.enter)="getCustomers()" autocomplete="off"
                  class="form-control input-sm-3" placeholder="Phone number" />
              </div>
              <div class="col-sm-8 text-right">
                <button type="get" (click)="getCustomers()" style="padding-left: 15px;"
                  class="btn btn-sm btn-primary blue">
                  <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                <button class="btn btn-sm btn-primary green" style="padding-left: 15px;" (click)="refresh()">
                  <i aria-hidden="true" class="fa fa-refresh"></i>
                  Refresh
                </button>
                <button class="btn btn-sm btn-primary red" style="padding-left: 15px;" (click)="reset()">
                  <i aria-hidden="true" class="fa fa-eraser"></i>
                  Reset filters
                </button>
              </div>
            </div>
          </div>

          <div class="ibox-content">
            <div class="table-responsive">
              <table aria-describedby="Manage Dispatcher Customers" class="table table-striped table-bordered table-responsive">
                <thead>
                  <tr>
                    <th scope="col">User information</th>
                    <th scope="col">Date</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                  <span *ngIf="searchSubmit">
                    <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                  </span>
                  <tr *ngFor="let customer of customerData; let i = index" [attr.data-index]="i">
                    <ng-container>
                      <td (click)="customerDetails(customer)">
                        Name and surname :
                        <span>{{customer.firstname ? customer.firstname : 'NA'}}
                          {{customer.lastname ? customer.lastname : ''}}</span><br />
                        Phone number : <span>
                          {{customer.phone_number ? customer.phone_number : 'NA'}}
                        </span><br />
                        Email : <span> {{customer.email ? customer.email : 'NA'}} </span><br>
                      <td (click)="customerDetails(customer)">{{customer.updated_at | date}}</td>

                      <td>
                        <button [hidden]="aclBtn" class="btn btn-sm btn-primary"
                          (click)="editCustomer(customer)">Edit</button>
                      </td>
                    </ng-container>
                  </tr>
                </tbody>
              </table>
              <div class="container-fluid" *ngIf="customerLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <br>
          <div class="container-fluid" *ngIf="customerLength>0">
            <div class="row col-md-12 text-center">
              <div class="dataTables_info1">
                <div *ngIf="del">
                  <ngb-pagination [collectionSize]="customerLength" (pageChange)="pagingAgent($event)" [page]="1"
                    [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                  </ngb-pagination>
                </div>
                <div *ngIf="!del">
                  <ngb-pagination [collectionSize]="customerLength" (pageChange)="pagingAgent($event)" [page]="1"
                    [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                  </ngb-pagination>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>